Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2929603002: android: No longer record GSA memory footprint. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by Benoit L
Modified:
1 month, 4 weeks ago
Reviewers:
Ilya Sherman, Maria
CC:
chromium-reviews, asvitkine+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

android: No longer record GSA memory footprint. Now that crbug.com/614388 is fixed, we no longer need to record GSA's footprint. Collecting the histogram can take ~100ms on a Nexus 5X, and requires parsing /proc/$PID/smaps (in the framework). BUG=614388 Review-Url: https://codereview.chromium.org/2929603002 Cr-Commit-Position: refs/heads/master@{#480773} Committed: https://chromium.googlesource.com/chromium/src/+/a9982dbcd053fee816b9ebbb24663ba85118ef47

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -162 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/gsa/GSAServiceClient.java View 7 chunks +3 lines, -86 lines 0 comments Download
M chrome/android/java_sources.gni View 1 chunk +0 lines, -1 line 0 comments Download
D chrome/android/javatests/src/org/chromium/chrome/browser/gsa/GSAServiceClientTest.java View 1 chunk +0 lines, -75 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +3 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   ios-simulator   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   ios-device   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   ios-simulator   android_n5x_swarming_rel   cast_shell_linux   win_chromium_rel_ng   android_clang_dbg_recipe   win_clang   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   cast_shell_android   linux_chromium_rel_ng   android_arm64_dbg_recipe   win_chromium_compile_dbg_ng   linux_chromium_headless_rel   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   android_compile_dbg   ios-device-xcode-clang   chromeos_daisy_chromium_compile_only_ng   ios-simulator-xcode-clang   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_cronet   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   ios-device   ios-simulator   chromium_presubmit   cast_shell_linux   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   android_clang_dbg_recipe   win_clang   linux_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   cast_shell_android   linux_chromium_rel_ng   android_arm64_dbg_recipe   linux_android_rel_ng   linux_chromium_headless_rel   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   android_compile_dbg   ios-device-xcode-clang   ios-simulator-xcode-clang   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_cronet 
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (13 generated)
Benoit L
2 months, 1 week ago (2017-06-08 08:39:12 UTC) #6
Maria
lgtm
2 months, 1 week ago (2017-06-08 23:56:44 UTC) #7
Benoit L
+isherman for histograms.xml. Just a simple "obsolete" change. PTAL, thanks!
2 months ago (2017-06-19 12:56:41 UTC) #11
Ilya Sherman
histograms.xml lgtm, thanks
2 months ago (2017-06-19 20:41:22 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2929603002/1
1 month, 4 weeks ago (2017-06-20 08:26:27 UTC) #16
commit-bot: I haz the power
1 month, 4 weeks ago (2017-06-20 08:37:41 UTC) #19
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/a9982dbcd053fee816b9ebbb2466...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b